Package com.collibra.dgc.importer.api.request

# Class FullSynchronizationRequest

Object
BaseImportRequest
FileSynchronizationRequest
FullSynchronizationRequest

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SynchronizationCsvInJobRequest`, `SynchronizationExcelInJobRequest`, `SynchronizationJsonInJobRequest`

public abstract class FullSynchronizationRequest extends FileSynchronizationRequest

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected @Pattern(regexp="REMOVE_RESOURCES|CHANGE_STATUS|IGNORE") String`
  `finalizationStrategy`
  The synchronization finalization strategy used in the cleanup action.
  `protected UUID`
  `missingAssetStatusId`
  If finalizationStrategy is set to `CHANGE_STATUS` then this parameter determines the new status ID for assets that no longer exist in the external system.

  ### Fields inherited from class FileSynchronizationRequest

  `attributesAction, continueOnError, continueOnErrorRaw, deleteFile, file, fileId, fileName, relationsAction, synchronizationId`

  ### Fields inherited from class BaseImportRequest

  `batchSize, DEFAULT_BATCH_SIZE, requestSource, saveResult, sendNotification, simulation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FullSynchronizationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getFinalizationStrategy()`
  The synchronization finalization strategy used in the cleanup action.
  `UUID`
  `getMissingAssetStatusId()`
  If finalizationStrategy is set to `CHANGE_STATUS` then this parameter determines the new status ID for assets that no longer exist in the external system.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class FileSynchronizationRequest

  `getAttributesAction, getContinueOnErrorRaw, getFile, getFileId, getFileName, getRelationsAction, getSynchronizationId, isContinueOnError, isDeleteFile, setAttributesAction, setContinueOnError, setDeleteFile, setFile, setFileId, setFileName, setRelationsAction, setSynchronizationId`

  ### Methods inherited from class BaseImportRequest

  `getBatchSize, getRequestSource, isSaveResult, isSendNotification, isSimulation, setBatchSize, setRequestSource, setSaveResult, setSendNotification, setSimulation`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### finalizationStrategy

    @Pattern(regexp="REMOVE_RESOURCES|CHANGE_STATUS|IGNORE") @DefaultValue("REMOVE_RESOURCES") protected @Pattern(regexp="REMOVE_RESOURCES|CHANGE_STATUS|IGNORE") String finalizationStrategy
    The synchronization finalization strategy used in the cleanup action. This determines whether to remove, ignore or change the status of assets that no longer exist in the external system. Possible values are `REMOVE_RESOURCES`, `CHANGE_STATUS` and `IGNORE`. When you select `CHANGE_STATUS` you must also provide a value for `missingAssetStatusId`.

  - ### missingAssetStatusId

    protected UUID missingAssetStatusId
    If finalizationStrategy is set to `CHANGE_STATUS` then this parameter determines the new status ID for assets that no longer exist in the external system.

- ## Constructor Details

  - ### FullSynchronizationRequest

    public FullSynchronizationRequest()

- ## Method Details

  - ### getFinalizationStrategy

    public String getFinalizationStrategy()
    The synchronization finalization strategy used in the cleanup action. This determines whether to remove, ignore or change the status of assets that no longer exist in the external system. Possible values are `REMOVE_RESOURCES`, `CHANGE_STATUS` and `IGNORE`. When you select `CHANGE_STATUS` you must also provide a value for `missingAssetStatusId`.

  - ### getMissingAssetStatusId

    public UUID getMissingAssetStatusId()
    If finalizationStrategy is set to `CHANGE_STATUS` then this parameter determines the new status ID for assets that no longer exist in the external system.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `FileSynchronizationRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `FileSynchronizationRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `FileSynchronizationRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `FileSynchronizationRequest`